org.eclipse.graphiti.platform

## Interface IExtension

All Known Subinterfaces:
  IDiagramType, IDiagramTypeProvider, IImageProvider

All Known Implementing Classes:
  AbstractDiagramTypeProvider, AbstractExtension, AbstractImageProvider, DiagramTypeImpl, DummyExportAsImageDiagramTypeProvider, ExportDiagramAsImageDummyImageProvider, PlatformImageProvider

    public interface IExtension

The Interface IExtension.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getProviderId()` Gets the provider id.
`void` `setProviderId(String providerId)` Sets the provider id.

### Method Detail

#### getProviderId

    String getProviderId()

Gets the provider id.

Returns:
  the provider id

#### setProviderId

    void setProviderId(String providerId)

Sets the provider id.

Parameters:
  `providerId` - the new provider id